%define majver %(echo %version | cut -d. -f1-2)
Name:          gexiv2
Version:       0.12.2
Release:       1mamba
Summary:       A GObject-based wrapper around the Exiv2 library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://wiki.gnome.org/Projects/gexiv2
Source:        https://download.gnome.org/sources/gexiv2/%{majver}/gexiv2-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libexiv2-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
gexiv2 is a GObject-based wrapper around the Exiv2 library.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libgexiv2.so.*
%{_libdir}/girepository-1.0/GExiv2-*.typelib
%{python27_sitearch}/gi/overrides/GExiv2.py
%{python3_sitearch}/gi/overrides/GExiv2.py
%doc AUTHORS COPYING THANKS

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/gexiv2
%{_includedir}/gexiv2/*
%{_libdir}/libgexiv2.so
%{_libdir}/pkgconfig/gexiv2.pc
%{_datadir}/vala/vapi/gexiv2.*
%{_datadir}/gir-1.0/GExiv2-0.10.gir
#%dir %{_datadir}/gtk-doc/html/gexiv2
#%{_datadir}/gtk-doc/html/gexiv2/*
%doc NEWS README

%changelog
* Fri May 21 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.12.2-1mamba
- update to 0.12.2

* Sat Nov 18 2017 Automatic Build System <autodist@mambasoft.it> 0.10.6-1mamba
- automatic update by autodist

* Sat Sep 17 2016 Automatic Build System <autodist@mambasoft.it> 0.10.4-1mamba
- automatic update by autodist

* Sat Mar 19 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.3-1mamba
- package created using the webbuild interface
